Subject: Re: bug#72485: Support 'visual-wrap-prefix-mode' in SHR/EWW

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Aug 2024 12:20:13 +0300

> Date: Sat, 17 Aug 2024 23:13:00 -0700
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 8/17/2024 9:49 PM, Eli Zaretskii wrote:
> > I'm not sure many users know about shr-fill-text, including that its
> > default is non-nil.  So I think this NEWS entry should say something
> > about that, otherwise this text might cause incorrect user
> > expectations.
> 
> How does this sound?
> 
> ----------------------------------------
> 
> *** EWW now enables 'visual-wrap-prefix-mode' when 'shr-fill-text' is nil.
> Previously, when 'shr-fill-text' was nil, EWW would use
> 'visual-line-mode' to wrap paragraphs instead of inserting newline
> characters.  Now, EWW additionally enables 'visual-wrap-prefix-mode' in
> this case.  This improves the display of multiline, indented text, such
> as block quotes or (un)ordered lists.

It still doesn't say that shr-fill-text is non-nil by default.

> I also notice that 'shr-fill-text' is new in Emacs 30, but doesn't have 
> a NEWS entry in that release. Should I add a mention of it to the Emacs 
> 30 NEWS as well?

Yes, please do.

> (I don't see any harm in reiterating what 'shr-fill-text' does in
> the Emacs 31 NEWS as well though.)

I don't see a reason to reiterate that.